/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */


:root{
    --azul: #00AFEF;
    --verde: #57B952;
    --azul-claro:#cceffc;
    --verde-claro:#ddf1dc;
}

a:focus{
	outline:none !important;
}

.contenido-centrado{
    max-width: 1200px;
    margin: auto;
}

#top-bar{
    p{
        margin: 0;
    }
}

/*Cabecera*/
#site-header-inner{
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;

    #site-navigation-wrap, .oceanwp-mobile-menu-icon.mobile-right{
        justify-self: end;
    }
}

.login-btn {
    a{
        &:hover{
            span{background: var(--verde) !important;} 
        }
        span{
            background: var(--azul);
            border-radius: 5px;
            padding: 5px 10px;
            color: #fff;
        }
    }
    
}

.wp-block-button__link{
    &:hover{
        color: #fff !important;
        background: var(--verde) !important;
    }    
}

.page-header .page-subheading{
	font-size: 24px !important;
}

/*Slider*/

.metaslider .caption-wrap{
    @media(min-width: 768px){
        top: 0;
        opacity: 1 !important;
        background: rgba(0, 0, 0, 0.5) !important;
        display: grid;
        place-content: center;

        .caption > div{
            padding: 30px !important;
            text-align: center;
        }
        h1{
            color: #fff !important;
            font-size: clamp(35px, 2.5vw, 60px);
            text-transform: uppercase;
            line-height: 1.2em;
        }
        p{
            font-size: clamp(16px, 1.5vw, 20px);
            font-weight: 400;
            line-height: 1.5em;
        }
        .ms-custom-button{
            margin-top: 20px;;
        }
    }
}

/*Servicios*/

.servicios{
    .wp-block-column{
        box-shadow: 2px 2px 20px 0 #04450142;
    }
}

/*Accordion*/

.ghostkit-accordion {
    background: #f2fbfe;
    max-width: 700px;
    margin: auto;
}

.ghostkit-accordion-item {
    border: 1px solid var(--azul-claro);
    margin: -1px 0 0 0;
    padding: 10px 20px;
}

/*Formulario*/

.formulario {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
    p{margin-bottom: 0;}
    p:nth-last-child(-n+3) {
        grid-column: 1 / 3;
    }
}

/*Booking*/

.nxcleanly-booking.nxcleanly-booking-advance .btn.complete-booking{
    border: none !important;
}

.nxcleanly-booking.nxcleanly-booking-advance .btn.complete-booking:hover{
    background: var(--verde) !important;
    color: #fff !important;
}

.clejs-clecounter-btn {
    text-decoration: none !important;
}

.nxcleanly-booking .preferences .preference-radio>p,
.cl_ex-title{
	font-size:14px !important;
}

/*Footer*/
#footer-widgets{
    font-weight: 400;
    a{
        font-weight: 400;
    }
}